Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xmldb
Class AbstractEXistResource

    java.lang.Object
      org.exist.xmldb.AbstractEXistResource

All Implemented Interfaces:
  EXistResource

Direct Known Subclasses:
  LocalBinaryResource, LocalXMLResource

public abstract class AbstractEXistResource
extends java.lang.Object
implements EXistResource

Abstract base implementation of interface EXistResource.

Constructor Summary
`AbstractEXistResource(User user, BrokerPool pool, LocalCollection parent, java.lang.String docId, java.lang.String mimeType)` Deprecated. Use the XmldbURI constructor instead
`AbstractEXistResource(User user, BrokerPool pool, LocalCollection parent, XmldbURI docId, java.lang.String mimeType)`

Method Summary
`abstract java.util.Date` | `getCreationTime()`
`org.w3c.dom.DocumentType` | `getDocType()`
`abstract java.util.Date` | `getLastModificationTime()`
`java.lang.String` | `getMimeType()`
`abstract Permission` | `getPermissions()`
`void` | `setDocType(org.w3c.dom.DocumentType doctype)`
`void` | `setLexicalHandler(org.xml.sax.ext.LexicalHandler handler)`
`void` | `setMimeType(java.lang.String mime)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.exist.xmldb.EXistResource
`getContentLength`

Constructor Detail

### AbstractEXistResource

    public AbstractEXistResource(User user,
                                 BrokerPool pool,
                                 LocalCollection parent,
                                 XmldbURI docId,
                                 java.lang.String mimeType)

### AbstractEXistResource

    public AbstractEXistResource(User user,
                                 BrokerPool pool,
                                 LocalCollection parent,
                                 java.lang.String docId,
                                 java.lang.String mimeType)

  Deprecated. Use the XmldbURI constructor instead

Parameters:
  `user` -
  `pool` -
  `parent` -
  `docId` -
  `mimeType` -

Method Detail

### getCreationTime

    public abstract java.util.Date getCreationTime()
                                            throws XMLDBException

  Specified by:
    `getCreationTime` in interface `EXistResource`
  Throws:
    `XMLDBException`

### getLastModificationTime

    public abstract java.util.Date getLastModificationTime()
                                                    throws XMLDBException

  Specified by:
    `getLastModificationTime` in interface `EXistResource`
  Throws:
    `XMLDBException`

### getPermissions

    public abstract Permission getPermissions()
                                       throws XMLDBException

  Specified by:
    `getPermissions` in interface `EXistResource`
  Throws:
    `XMLDBException`

### setLexicalHandler

    public void setLexicalHandler(org.xml.sax.ext.LexicalHandler handler)

  Specified by:
    `setLexicalHandler` in interface `EXistResource`

### setMimeType

    public void setMimeType(java.lang.String mime)

  Specified by:
    `setMimeType` in interface `EXistResource`

### getMimeType

    public java.lang.String getMimeType()
                                 throws XMLDBException

  Specified by:
    `getMimeType` in interface `EXistResource`
  Throws:
    `XMLDBException`

### getDocType

    public org.w3c.dom.DocumentType getDocType()
                                        throws XMLDBException

  Specified by:
    `getDocType` in interface `EXistResource`
  Throws:
    `XMLDBException`

### setDocType

    public void setDocType(org.w3c.dom.DocumentType doctype)
                    throws XMLDBException

  Specified by:
    `setDocType` in interface `EXistResource`
  Throws:
    `XMLDBException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.